// packageE/others/all_result/all_result.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: '',
    kFootshow: true,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.id) {
      this.setData({
        id: options.id
      });
    }
    if (options.num) {
      this.setData({
        num: options.num
      });
    }
    this.getData();
  },
  tabrshowbtn(e) {
    let bol = e.detail;
    if (bol) {
      this.setData({
        kFootshow: false
      });
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      path: "/packageE/others/share/share?id=" + this.data.id
    };
  },
  getData() {
    wx.showLoading({
      title: '加载中',
    });
    let that = this;
    let urlStr = app.getNetAddresss("plugin.skin-check.api.skin-check.complete-report");
    app._getNetWork({
      url: urlStr,
      data: {
        report_id: that.data.id,
        ingress: 'weChatApplet'
      },
      success: function (resdata) {
        wx.hideLoading({
          complete: (res) => {},
        });
        var res = resdata.data;
        console.log(res);
        if (res.result == 1) {
          that.setData({
            beat: res.data.beat,
            reportDetail: res.data.report.reportDetail,
            memberInfo: res.data.report.member,
            composite_score: res.data.report.composite_score,
            seal: res.data.seal
          });
          console.log(that.data.beat);
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });

        }
      },
      fail: function (res) {
        console.log(res);
        wx.hideLoading({
          complete: (res) => {},
        });
      }
    });
  }
});